class CfgPatches
{
	class CSW_Taser
	{
		addonRootClass="A3_Weapons_F";
		requiredAddons[]=
		{
			"A3_Weapons_F",
			"cba_main"
		};
		requiredVersion=0.1;
		units[]={};
		weapons[]=
		{
			"CSW_M26C"
		};
		magazines[]=
		{
			"CSW_Taser_Probe_Mag"
		};
		ammo[]=
		{
			"CSW_Taser_Ammo"
		};
	};
};
class CfgAmmo
{
	class BulletBase;
	class CSW_Taser_Ammo: BulletBase
	{
		hit=0;
		indirectHit=0;
		indirectHitRange=0;
		deflecting=15;
		cartridge="FxCartridge_65_caseless";
		typicalSpeed=150;
		airFriction=-0.0049999999;
		timeToLive=0.1;
		caliber=0.30000001;
		visibleFireTime=0;
		visibleFire=0;
		audibleFire=0;
		dangerRadiusBulletClose=0;
		dangerRadiusHit=0;
		suppressionRadiusBulletClose=0;
		suppressionRadiusHit=0;
		class CamShakeHit
		{
			power=1100;
			duration="((round (1100^0.25))*0.2 max 0.2)";
			frequency=100;
			distance=1000;
		};
	};
};
class CfgMagazines
{
	class 16Rnd_9x21_Mag;
	class CSW_Taser_Probe_Mag: 16Rnd_9x21_Mag
	{
		scope=2;
		displayName="$STR_CSW_Taser_Probe_Mag_DN";
		displayNameShort="$STR_CSW_Taser_Probe_DNS";
		descriptionShort="$STR_CSW_Taser_Probe_Mag_DS";
		model="\CSW_Taser\CSW_M26C_mag.p3d";
		picture="\CSW_Taser\UI\CSW_Taser_Probe_Mag.paa";
		type=16;
		ammo="CSW_Taser_Ammo";
		count=5;
		initSpeed=150;
		mass=2;
		author="CSW Team";
		dlc="CSW";
	};
};
class Mode_SemiAuto;
class MuzzleSlot;
class PointerSlot;
class CfgWeapons
{
	class Pistol;
	class Pistol_Base_F: Pistol
	{
		class WeaponSlotsInfo;
		class GunParticles;
	};
	class CSW_M26C: Pistol_Base_F
	{
		initSpeed=-0.99000001;
		author="CSW Team";
		dlc="CSW";
		_generalMacro="CSW_M26C";
		baseWeapon="CSW_M26C";
		fireLightIntensity=0;
		scope=2;
		model="\CSW_Taser\CSW_M26C.p3d";
		picture="\CSW_Taser\UI\CSW_M26C.paa";
		magazines[]=
		{
			"CSW_Taser_Probe_Mag"
		};
		reloadAction="GestureReloadPistol";
		recoil="recoil_pistol_p07";
		displayname="$STR_CSW_M26C_DN";
		descriptionShort="$STR_CSW_M26C_DS";
		drySound[]=
		{
			"A3\Sounds_F\arsenal\weapons\Pistols\P07\dry_P07",
			1,
			1,
			20
		};
		reloadMagazineSound[]=
		{
			"A3\Sounds_F\arsenal\weapons\Pistols\P07\reload_P07",
			1,
			1,
			10
		};
		modes[]=
		{
			"Single"
		};
		class Single: Mode_SemiAuto
		{
			sounds[]=
			{
				"StandardSound"
			};
			class BaseSoundModeType
			{
				closure1[]=
				{
					"A3\Sounds_F\arsenal\weapons\Pistols\P07\Closure_P07_01",
					0.22387211,
					1,
					10
				};
				closure2[]=
				{
					"A3\Sounds_F\arsenal\weapons\Pistols\P07\Closure_P07_02",
					0.22387211,
					1.2,
					10
				};
				soundClosure[]=
				{
					"closure1",
					0.5,
					"closure2",
					0.5
				};
			};
			class StandardSound: BaseSoundModeType
			{
				begin1[]=
				{
					"CSW_Taser\sounds\Taser.wss",
					6,
					1,
					50
				};
				begin2[]=
				{
					"CSW_Taser\sounds\Taser.wss",
					6,
					1,
					50
				};
				begin3[]=
				{
					"CSW_Taser\sounds\Taser.wss",
					6,
					1,
					50
				};
				soundBegin[]=
				{
					"begin1",
					0.33000001,
					"begin2",
					0.33000001,
					"begin1",
					0.34
				};
			};
			recoil="recoil_pistol_light";
			recoilProne="recoil_prone_pistol_light";
			reloadTime=1;
			dispersion=0.0049999999;
			minRange=5;
			minRangeProbab=0.30000001;
			midRange=25;
			midRangeProbab=0.60000002;
			maxRange=50;
			maxRangeProbab=0.1;
			aiRateOfFire=2;
			aiRateOfFireDistance=12;
		};
		caseless[]=
		{
			"",
			1,
			1,
			1
		};
		soundBullet[]=
		{
			"caseless",
			1
		};
		class Library
		{
			libTextDesc="$STR_CSW_M26C_libTextDesc";
		};
		class GunParticles: GunParticles
		{
			class FirstEffect
			{
			};
		};
		class FlashLight
		{
			color[]={1800,1500,1200};
			ambient[]={9,7.5,6};
			intensity=1;
			size=1;
			innerAngle=20;
			outerAngle=80;
			coneFadeCoef=5;
			position="flash_dir";
			direction="flash_pos";
			useFlare=1;
			flareSize=0.40000001;
			flareMaxDistance="100.0f";
			dayLight=1;
			class Attenuation
			{
				start=0.5;
				constant=0;
				linear=0;
				quadratic=1;
				hardLimitStart=20;
				hardLimitEnd=30;
			};
			scale[]={0};
		};
		inertia=0.1;
		aimTransitionSpeed=1.6;
		dexterity=1.9;
		maxZeroing=100;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass=10;
			class CowsSlot
			{
			};
			class MuzzleSlot
			{
			};
			allowedSlots[]={801,701,901};
		};
		fireSpreadAngle="0.3f";
	};
};
class Extended_PreInit_EventHandlers
{
	class CSW_Taser
	{
		init="call compile preprocessFileLineNumbers '\CSW_Taser\scripts\XEH_preInit.sqf'; ";
	};
};
class Extended_PreStart_EventHandlers
{
	class CSW_Taser
	{
		init="call compile preprocessFileLineNumbers '\CSW_Taser\scripts\XEH_preStart.sqf'; ";
	};
};
class Extended_Respawn_EventHandlers
{
	class CAManBase
	{
		class CSW_Taser
		{
			respawn="_this call CSW_fnc_TaserOnRespawn";
		};
	};
};
class Extended_Hit_EventHandlers
{
	class CAManBase
	{
		CSW_Taser="_this call CSW_fnc_TaserOnHit;";
	};
};
class cfgMods
{
	author="KICKASS";
	timepacked="1519138299";
};
